Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
cocos2d for iPhone
Objective-C C C++ Other

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
Resources
cocos2d-iphone.xcclassmodel
cocos2d-iphone.xcodeproj
cocos2d
cocoslive
experimental
external
tests
tools
AUTHORS
CHANGELOG
DONORS
LICENSE
LICENSE.TouchJSON
LICENSE.artwork
LICENSE.chipmunk
LICENSE.cocosdenshion
README
doxygen.config

README

cocos2d for iPhone
------------------

cocos2d for iPhone[1] is a framework for building 2D games, demos, and other
graphical/interactive applications. It is based on the cocos2d [2] (python)
design:
  it uses the same API and design, but instead of using python it uses objective-c.


Main features
    * Scene management (workflow)
    * Transitions between scenes
    * Sprites and Sprite Sheets
    * Effects: Lens, Ripple, Waves, Liquid, etc.
    * Actions (behaviours): 
        * Trasformation Actions: Move, Rotate, Scale, Fade, Tint, etc.
        * Composable actions: Sequence, Spawn, Repeat, Reverse
        * Ease Actions: Exp, Sin, Cubic, etc.
        * Misc actions: CallFunc, OrbitCamera
    * Basic menus and buttons
    * Integrated Chipmunk 2d physics engine
    * Particle system
    * Fast text rendering: Fixed and Variable width fonts
    * Texture Atlas support
    * Tile Map support
    * Parallax scrolling
    * High Score server
    * Touch/Accelerometer
    * Portrait and Landscape mode
    * Integrated Pause/Resume
    * Fast textures: PVRTC 2-bit & 4-bit textures, RGBA 16-bit (and 32-bit) textures
    * Language: objective-c
    * Open Source: Compatible with open and closed source projects
    * OpenGL ES 1.1 based 

Experimental features:
    * Motion Streak / Ribbon support
    * Sound Engine support
    * Integrated Box2d physics engine

This library does not work with the toolchain, but it
should be easy to port it to it.


Build Requeriments
------------------

Mac OS X 10.5.3, Xcode 3.1, iPhone OS 2.0, Beta 8 release or later


Runtime Requirements
--------------------

Mac OS X 10.5.3, iPhone OS 2.0, Beta 8 release or later



[1] http://www.cocos2d-iphone.org
[2] http://www.cocos2d.org
Something went wrong with that request. Please try again.